Mailinglist Archive: opensuse-factory (673 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20160609 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20160609

Packages changed:
ImageMagick (6.9.4.5 -> 6.9.4.7)
autoyast2 (3.1.129 -> 3.1.131)
babl
cantarell-fonts
gconf2
gstreamer
gstreamer-plugins-good
libcacard (2.4.0 -> 2.5.2)
libva
libva-gl
libzypp (16.0.0 -> 16.0.1)
qemu (2.4.0 -> 2.6.0)
qemu-linux-user (2.4.0 -> 2.6.0)
sessreg
tidy (1.0.20100204cvs -> 5.2.0)
wayland (1.10.93 -> 1.11.0)
xf86-video-qxl
yast2-nfs-client (3.1.16 -> 3.1.17)
yast2-slp (3.1.7 -> 3.1.8)
yast2-update (3.1.39 -> 3.1.40)
yast2-vm (3.1.28 -> 3.1.29)
zypper (1.13.1 -> 1.13.2)

=== Details ===

==== ImageMagick ====
Version update (6.9.4.5 -> 6.9.4.7)
Subpackages: ImageMagick-devel ImageMagick-extra libMagick++-6_Q16-6
libMagickCore-6_Q16-2 libMagickWand-6_Q16-2 perl-PerlMagick

- updated to 6.9.4-7:
* Fix small memory leak (patch provided by ?????? ??????).
* Coder path traversal is not authorized (bug report provided by
Masaaki Chida).
* Turn off alpha channel for the compare difference image (reference
http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=29828).
* Support configure script --enable-pipes option to enable pipes (|) in
filenames.
* Support configure script --enable-indirect-reads option to enable
indirect reads (@) in filenames.
- remove ImageMagick-CVE-2016-5118.patch, use --enable-pipes=no instead

==== autoyast2 ====
Version update (3.1.129 -> 3.1.131)
Subpackages: autoyast2-installation

- Rename schema definition regarding SSH keys/configuration
so yast2-schema can find it correctly (fate#319624)
- 3.1.131
- Fix AutoYaST2 schema regarding SSH keys/configuration import
feature (fate#319624)
- Stop generating autodocs (fate#320356)
- 3.1.130

==== babl ====

- Update to GNOME 3.20 Fate#318572

==== cantarell-fonts ====

- Update to GNOME 3.20 Fate#318572

==== gconf2 ====
Subpackages: gconf-polkit gconf2-devel

- Update to GNOME 3.20 Fate#318572

==== gstreamer ====
Subpackages: gstreamer-devel gstreamer-utils libgstreamer-1_0-0
libgstreamer-1_0-0-32bit typelib-1_0-Gst-1_0

- Update to GNOME 3.20.2 (Fate#318572)

==== gstreamer-plugins-good ====
Subpackages: gstreamer-plugins-good-extra

- Update to GNOME 3.20.2 (Fate#318572)

==== libcacard ====
Version update (2.4.0 -> 2.5.2)

- Initial - split out from QEMU

==== libva ====
Subpackages: libva-drm1 libva-x11-1 libva1 vaapi-dummy-driver

- Add missing post/postun handling for libva-wayland1.

==== libva-gl ====
Subpackages: libva-egl1 libva-glx1

- Add missing post/postun handling for libva-wayland1.

==== libzypp ====
Version update (16.0.0 -> 16.0.1)

- po: upadte makefiles
- DefaultIntegral: provide asString (for FATE#320447)
- version 16.0.1 (0)

==== qemu ====
Version update (2.4.0 -> 2.6.0)
Subpackages: qemu-arm qemu-block-curl qemu-block-dmg qemu-extra qemu-ipxe
qemu-ksm qemu-kvm qemu-lang qemu-ppc qemu-s390 qemu-seabios qemu-sgabios
qemu-tools qemu-vgabios qemu-x86

- Adjust to parallel changes in virglrenderer packages - no longer
"BuildRequires" virglrenderer directly, just the devel package.
- Fix build compatibility with gcc6 wrt ipxe rom where compiler
warnings are treated as errors.
ipxe-ath9k-Fix-buffer-overrun-for-ar9287.patch
ipxe-mucurses-Fix-GCC-6-nonnull-compare-errors.patch
ipxe-sis190-Fix-building-with-GCC-6.patch
ipxe-skge-Fix-building-with-GCC-6.patch
ipxe-ath-Fix-building-with-GCC-6.patch
ipxe-legacy-Fix-building-with-GCC-6.patch
- Fix ipxe build script which fails under perl v5.24
ipxe-util-v5.24-perl-errors-on-redeclare.patch
- Specify build time disk space requirements for ppc64 and ppc64le
- Add sysctl script and %post on s390x to allow kvm usage (bsc#975331)
- Address various security/stability issues
* Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.6
* Fix OOB access in MIPSnet emulated controller CVE-2016-4002 (bsc#975136)
0042-net-mipsnet-check-packet-length-aga.patch
* Fix possible host data leakage to guest from TPR access
CVE-2016-4020 (bsc#975700)
0043-i386-kvmvapic-initialise-imm32-vari.patch
* Avoid OOB access in 53C9X emulation CVE-2016-4439 (bsc#980711)
0044-esp-check-command-buffer-length-bef.patch
* Avoid OOB access in 53C9X emulation CVE-2016-4441 (bsc#980723)
0045-esp-check-dma-length-before-reading.patch
* Avoid OOB access in Vmware PV SCSI emulation CVE-2016-4952 (bsc#981266)
0046-scsi-pvscsi-check-command-descripto.patch
* Avoid potential DoS in LSI SAS1068 emulation CVE-2016-4964 (bsc#981399)
0047-scsi-mptsas-infinite-loop-while-fet.patch
* Fix regression in vga behavior - introduced in v2.6.0 CVE-2016-3712
(bsc#978160)
0048-vga-add-sr_vbe-register-set.patch
- Update to v2.6.0: See http://wiki.qemu-project.org/ChangeLog/2.6
- Enable SDL2, virglrenderer (for use with virtio-gpu), xfsctl, and
tracing using default log backend
- Build efi pxe roms on x86_64
- Check modules for conflicting release versions
- Suggest recently added block modules
- Bump copyright in qemu.spec.in
- Enable libiscsi for Factory
- Enable seccomp for ppc64le as well
- Update to v2.6.0-rc3: See http://wiki.qemu-project.org/ChangeLog/2.6
* Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.6
* Patches dropped (upstreamed):
0041-tests-Use-correct-config-param-for-.patch
* Patches renamed:
0042-build-link-with-libatomic-on-powerp.patch ->
0041-build-link-with-libatomic-on-powerp.patch
- Partially revert the last change's cleanup
- Indicate SUSE version
- Update to v2.6.0-rc0: See http://wiki.qemu-project.org/ChangeLog/2.6
* Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.6
* Accept every size in DISCARD request from a guest (bsc#964427)
0039-block-split-large-discard-requests-.patch
* Recognize libxl flag to disable flush in block device (bsc#879425)
0040-xen_disk-Add-suse-specific-flush-di.patch
* Use correct flag for crypto tests
0041-tests-Use-correct-config-param-for-.patch
* Fix build on powerpc:
0042-build-link-with-libatomic-on-powerp.patch
* Patches dropped (upstreamed):
seabios_checkrom_typo.patch
seabios_avoid_smbios_signature_string.patch
- Disable vte for Leap, fixing build
- Don't drop u-boot.e500 yet - breaks testsuite
- Re-enable libcacard support
- Clean up configured features
- Clean up qemu-tools libcacard Provides/Obsoletes - separate again
- Drop u-boot.e500 - being packaged as u-boot-ppce500
- Update to v2.5.0: See http://wiki.qemu-project.org/ChangeLog/2.5
* Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.5
* Patches dropped (upstreamed):
0039-tests-Fix-check-report-qtest-target.patch

==== qemu-linux-user ====
Version update (2.4.0 -> 2.6.0)

- Address various security/stability issues
* Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.6
* Fix OOB access in MIPSnet emulated controller CVE-2016-4002 (bsc#975136)
0042-net-mipsnet-check-packet-length-aga.patch
* Fix possible host data leakage to guest from TPR access
CVE-2016-4020 (bsc#975700)
0043-i386-kvmvapic-initialise-imm32-vari.patch
* Avoid OOB access in 53C9X emulation CVE-2016-4439 (bsc#980711)
0044-esp-check-command-buffer-length-bef.patch
* Avoid OOB access in 53C9X emulation CVE-2016-4441 (bsc#980723)
0045-esp-check-dma-length-before-reading.patch
* Avoid OOB access in Vmware PV SCSI emulation CVE-2016-4952 (bsc#981266)
0046-scsi-pvscsi-check-command-descripto.patch
* Avoid potential DoS in LSI SAS1068 emulation CVE-2016-4964 (bsc#981399)
0047-scsi-mptsas-infinite-loop-while-fet.patch
* Fix regression in vga behavior - introduced in v2.6.0 CVE-2016-3712
(bsc#978160)
0048-vga-add-sr_vbe-register-set.patch
- Update to v2.6.0: See http://wiki.qemu-project.org/ChangeLog/2.6
- Bump copyright in qemu-linux-user.spec.in
- Update to v2.6.0-rc3: See http://wiki.qemu-project.org/ChangeLog/2.6
* Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.6
* Patches dropped:
0041-tests-Use-correct-config-param-for-.patch
* Patches renamed:
0042-build-link-with-libatomic-on-powerp.patch ->
0041-build-link-with-libatomic-on-powerp.patch
- Update to v2.6.0-rc0: See http://wiki.qemu-project.org/ChangeLog/2.6
* Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.6
* Accept every size in DISCARD request from a guest (bsc#964427)
0039-block-split-large-discard-requests-.patch
* Recognize libxl flag to disable flush in block device (bsc#879425)
0040-xen_disk-Add-suse-specific-flush-di.patch
* Use correct flag for crypto tests
0041-tests-Use-correct-config-param-for-.patch
* Fix build on powerpc:
0042-build-link-with-libatomic-on-powerp.patch
* Patches dropped (upstreamed):
seabios_checkrom_typo.patch
seabios_avoid_smbios_signature_string.patch
- Update to v2.5.0: See http://wiki.qemu-project.org/ChangeLog/2.5
* Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.5
* Patches dropped:
0039-tests-Fix-check-report-qtest-target.patch
- Update to v2.5.0-rc1: See http://wiki.qemu-project.org/ChangeLog/2.5
* Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.5
* Patch renamed:
0037-Revert-Revert-seccomp-tests-that-al.patch ->
0037-configure-Enable-libseccomp-for-ppc.patch
- Update to v2.5.0-rc0: See http://wiki.qemu-project.org/ChangeLog/2.5
* Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.5
* Patches dropped (upstream):
0038-tcg-aarch64-Fix-tcg_out_qemu_-ld-st.patch
0039-tests-Unique-test-path-for-string-v.patch
* Patch renamed:
0040-dictzip-Fix-on-big-endian-systems.patch ->
0038-dictzip-Fix-on-big-endian-systems.patch
* Package qemu-tilegx
* Patches added:
0039-tests-Fix-check-report-qtest-target.patch

==== sessreg ====

- u_use-off_t-instead-of-long-to-make-largefile-support-work.patch
Make largefile support work (boo#981522).

==== tidy ====
Version update (1.0.20100204cvs -> 5.2.0)

- new upstream version 5.2.0
+ added support for HTML5
- new upstream authors at https://github.com/htacg/tidy-html5
- remove tidy_generate_tarball.sh
+ not needed
- remove tidy-fix-buffer-overflow.patch
+ upstreamed
- add fix_doxygen_paths.diff
+ patch Doxygen config file to build documentation from buld
directory
- add test_fixes.diff
+ fix build paths
+ remove pauses via `read` bash builtin
+ don't hide logging in log files
- add dynamic_library_build.diff
+ use standard cmake BUILD_SHARED_LIBS instead of BUILD_SHARED_LIB
+ build both static and dynamic libraries by default, instead
of just static
+ link vs. dynamic by default
- add tidy_fetch_docs.sh
+ used to fetch latest documentation configuration sources
- add compat_headers.diff
+ upstream changed some header names, so provide compatible header
wrappers with a compile time warning
- change library subpackage according to new soname
- build libtidy-devel instead of having soname in devel package name

==== wayland ====
Version update (1.10.93 -> 1.11.0)
Subpackages: libwayland-client0 libwayland-client0-32bit libwayland-cursor0
libwayland-server0 libwayland-server0-32bit wayland-devel

- Update to new upstream release 1.11.0
* Final version bump.

==== xf86-video-qxl ====

- Add u_xf86-video-qxl-spiceccid-build.patch: Fix building of
spiceccid: add the correct CFLAGS while building spiceccid. Issue
is exposed by libcacard 2.5.2.

==== yast2-nfs-client ====
Version update (3.1.16 -> 3.1.17)

- Stop generating autodocs (fate#320356)
- Add a conditional BuildRequires to allow using Jenkins for
continuous integration (lslezak@xxxxxxx)
- 3.1.17

==== yast2-slp ====
Version update (3.1.7 -> 3.1.8)

- Stop generating autodocs (fate#320356)
- 3.1.8

==== yast2-update ====
Version update (3.1.39 -> 3.1.40)

- Stop generating autodocs (fate#320356)
- 3.1.40

==== yast2-vm ====
Version update (3.1.28 -> 3.1.29)

- Stop generating autodocs (fate#320356)
- 3.1.29

==== zypper ====
Version update (1.13.1 -> 1.13.2)
Subpackages: zypper-aptitude zypper-log

- pchk,lp,patch: Do not install optional patches by default
(FATE#320447)
- BuildRequires: libzypp-devel >= 16.0.1
- Notify user if unknown category/severity strings are used on the
CLI
- Do not require --ignore-unknown in non interactive remove-command
(bsc#980263)
- version 1.13.2

--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages